#pragma once

#include <QWidget>

class QPushButton;
class QLineEdit;

namespace armarx::armem::gui
{

    class MemoryControlWidget : public QWidget
    {
        Q_OBJECT
        using This = MemoryControlWidget;

    public:

        MemoryControlWidget();

        QLineEdit* pathInputBox();
        QString getEnteredPath();

        QPushButton* storeButton();
        QPushButton* loadButton();
        QPushButton* exportHereButton();

    public slots:

    signals:

        void store();
        void load();
        void exportHere();

    private slots:


    signals:


    private:

        QLineEdit* _lineEdit;

        QPushButton* _storeButton;
        QPushButton* _loadButton;
        QPushButton* _exportHereButton;

    };

}
